<!doctype html>
<html>
    <head>
        <title>Like unlike Rating System with AngularJS and PHP</title>
        <link href="style.css" type="text/css" rel="stylesheet" />

    </head>
    <body ng-app='myapp'>
        <div class="content" ng-controller='fetchCtrl' >
            
            <div class="post" ng-repeat='post in posts'>
                <h1 >{{ post.title }}</h1>
                <div class="post-text">
                    {{ post.content }}
                </div>
                <div class="post-action">

                    <input type="button" value="Like" class="like" ng-style="post.type == 1 && {'color': '#ffa449'}" ng-click='setResponse(post.id,1,$index)' />&nbsp;(<span >{{ post.likes}}</span>)&nbsp;

                    <input type="button" value="Unlike" class="unlike" ng-style="post.type == 0 && {'color': '#ffa449'}" ng-click='setResponse(post.id,0,$index)' />&nbsp;(<span >{{ post.unlikes }}</span>)

                </div>
            </div>
            
        </div>

        <!-- Script -->
        <script src="angular.min.js"></script>
        <script>
        var fetch = angular.module('myapp', []);
        fetch.controller('fetchCtrl', ['$scope', '$http', function ($scope, $http) {
             
                // Fetch post data
                $scope.getPosts = function(){
             
                    $http({
                        method: 'post',
                        url: 'likeunlike.php',
                        data: {request: 1}
                    }).then(function successCallback(response) {
                
                        $scope.posts = response.data;
                    });

                }

                $scope.getPosts(); // Fetch post data
             
                // Update user response on a post
                $scope.setResponse = function(postid,type,index){
                
                    $http({
                        method: 'post',
                        url: 'likeunlike.php',
                        data: {postid: postid,type: type, request: 2}
                    }).then(function successCallback(response) {
                        // Update total likes unlikes values on the post
                        $scope.posts[index].likes=response.data.likes;
                        $scope.posts[index].unlikes=response.data.unlikes;
                        $scope.posts[index].type=response.data.type;
                    });
                }
            }
        ]);

        </script>
    </body>
</html>